
TYPO3.Neos - Task # 10393

Status: Resolved Priority: Should have
Author: Sebastian Kurfuerst Category:
Created: 2010-10-22 Assigned To: Karsten Dambekalns
Updated: 2012-08-31 Due date:
Subject: latest.phoenix.demo.typo3.org is still not working.
Description

Related issues:
blocks TYPO3.Neos - Task # 10366: Clean up Breadcrumb Menu Resolved

History
#1 - 2010-10-22 08:38 - Sebastian Kurfuerst
- Assigned To deleted (Andreas Förthner)

#2 - 2010-10-22 11:29 - Sebastian Kurfuerst
- Assigned To set to Andreas Förthner

#3 - 2010-10-22 13:27 - Andreas Förthner
- Assigned To changed from Andreas Förthner to Sebastian Kurfuerst

PHPUnit seems to be broken. Any idea where this comes from? Wrong PHPUnit version?

PHP Fatal error:  require_once(): Failed opening required 'File/Iterator/Factory.php'
(include_path='/var/www/latest.phoenix.demo/Packages/Framework/PHPUnit/Resources/PHP:.:/usr/share/php:/usr/share/pear') in
/var/www/latest.phoenix.demo/Packages/Framework/PHPUnit/Resources/PHP/PHP/CodeCoverage/Filter.php on line 46

#4 - 2010-10-22 18:40 - Christian Müller

it seems that pear package "phpunit/File_Iterator" is required but not part of the Package.

#5 - 2010-10-22 19:02 - Christian Müller

Just to see if that is the problem I installed the pear package but after I got the following error in the FLOW3 System.log:

The username for the persistence backend must be a string, NULL given. in line 174 of
/home/christian/PhpstormProjects/phoenix/T3v5/Packages/Framework/FLOW3/Classes/Persistence/Backend/AbstractBackend.php.

Could someone confirm that? That is easily solvable too by changing the Settings.yaml in FLOW3/Configuration/ in the persistance backend options
for username and password from null to ''.

#6 - 2010-10-22 19:27 - Christian Müller

https://review.typo3.org/181 changed the Settings.yaml to null instead of empty string...

#7 - 2010-10-23 09:31 - Karsten Dambekalns
https://review.typo3.org/181


- Status changed from New to Under Review
- Assigned To changed from Sebastian Kurfuerst to Karsten Dambekalns
- Start date set to 2010-10-23

http://review.typo3.org/193

#8 - 2010-10-26 11:05 - Robert Lemke
- Status changed from Under Review to Accepted

Still failing

#9 - 2010-10-26 11:05 - Robert Lemke
- Assigned To deleted (Karsten Dambekalns)

#10 - 2010-10-26 11:05 - Robert Lemke
- Status changed from Accepted to New

#11 - 2010-10-27 10:56 - Rens Admiraal

Ran into the same problem locally, installing pear package vfsstream solved it

#12 - 2010-10-27 11:51 - Rens Admiraal
- File patch_10393.diff added
- Assigned To set to Robert Lemke

This patch makes sure Phoenix still works, and shows the error only when the Testing package is opened (which might be ok since the pear package
is only required by this package).

This patch might need some extra work because the test look like they are running because of the green bar...

#13 - 2010-10-29 16:37 - Karsten Dambekalns
- Status changed from New to Resolved
- Assigned To changed from Robert Lemke to Karsten Dambekalns
- % Done changed from 0 to 100

This has been fixed in the meantime.

#14 - 2011-05-05 13:49 - Robert Lemke
- Project changed from Core Team to Base Distribution
- Target version deleted (711)

#15 - 2012-08-31 10:38 - Robert Lemke
- Project changed from Base Distribution to TYPO3.Neos
Files
patch_10393.diff 893 Bytes 2010-10-27 Rens Admiraal
